For the complete documentation index, see llms.txt. This page is also available as Markdown.

Rest Endpoints

GetMetrics

post

The GraphQl query for this endpoint is:

query GetMetrics {
  metrics(limit: 100, where: {created_at: {_gt: "2025-09-12", _lt: "2025-09-15"}, market_id: {_eq: "euler-ethereum-0xe415952f5ee06f8a548f4f7d5be18fbf144b4e4d"}}) {
    block
    id
    borrow_apy
    market {
      collateral_asset
      collateral_asset_decimals
      chain
      collateral_asset_symbol
      loan_asset
      loan_asset_decimals
      loan_asset_symbol
      market_address
      oracle
    }
    supply_apy
    utilization
    nefture_price
    oracle_price
    total_borrowed
    total_borrowed_usd
    total_supplied
    total_supplied_usd
    market_id
    created_at
    oracle_last_update
    timestamp
  }
}
Header parameters
x-api-keystringOptional

Your x-api-key will be used for authentication of the API request.

Responses
200

Responses for POST /api/graphql

application/json
postapi.syncrone.fi/api/yields/graphql
POST api.syncrone.fi/api/yields/graphql HTTP/1.1
Accept: */*
200

Responses for POST /api/graphql

{
  "metrics": [
    {
      "block": null,
      "borrow_apr": null,
      "borrow_apy": null,
      "created_at": null,
      "id": null,
      "market": {
        "collateral_asset": "text",
        "collateral_asset_decimals": 1,
        "chain": "text",
        "collateral_asset_symbol": "text",
        "loan_asset": "text",
        "loan_asset_decimals": 1,
        "loan_asset_symbol": "text",
        "market_address": "text",
        "oracle": "text"
      },
      "market_id": "text",
      "nefture_price": null,
      "oracle_last_update": null,
      "oracle_price": null,
      "supply_apr": null,
      "supply_apy": null,
      "timestamp": null,
      "total_borrowed": null,
      "total_borrowed_usd": null,
      "total_supplied": null,
      "total_supplied_usd": null,
      "utilization": null
    }
  ]
}

Last updated